## wxVariantData

The wxVariantData is used to implement a new type for wxVariant. Derive from wxVariantData, and override the pure virtual functions.

Derived from

wxObject

Include files

<wx/variant.h>

See also

wxVariant

Members

wxVariantData::wxVariantData
wxVariantData::Copy
wxVariantData::Eq
wxVariantData::GetType
wxVariantData::Read
wxVariantData::Write

### wxVariantData::wxVariantData

wxVariantData()

Default constructor.

### wxVariantData::Copy

void Copy(wxVariantData& data)

Copy the data from 'this' object to data.

### wxVariantData::Eq

bool Eq(wxVariantData& data) const

Returns TRUE if this object is equal to data.

### wxVariantData::GetType

wxString GetType() const

Returns the string type of the data.

### wxVariantData::Read

bool Read(ostream& stream)

bool Read(wxString& string)

Reads the data from stream or string.

### wxVariantData::Write

bool Write(ostream& stream) const

bool Write(wxString& string) const

Writes the data to stream or string.